%global momorel 2
Summary: Crypt-DES module for perl 
Name: perl-Crypt-DES
Version: 2.05
Release: %{momorel}m
License: see "COPYRIGHT"
Group: Development/Languages
%NoSource 0 http://www.cpan.org/modules/by-module/Crypt/Crypt-DES-%{version}.tar.gz a8a0bea7064e11d2af434f3e468c17bb
URL: http://www.cpan.org/modules/by-module/Crypt/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl >= 5.8.8
Requires: perl-Crypt-CBC

%description
Crypt-DES module for perl

%prep
%setup -q -n Crypt-DES-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL
make
make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make PERL_INSTALL_ROOT=%{buildroot} install

find %{buildroot}/usr -type f -print | 
	sed "s@^%{buildroot}@@g" | 
	grep -v perllocal.pod | 
	sed -e 's,\(.*/man/.*\),\1*,' | 
	grep -v "\.packlist" > Crypt-DES-%{version}-filelist
if [ "$(cat Crypt-DES-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

rm -f %{buildroot}%{perl_sitearch}/auto/Crypt/DES/.packlist

%files -f Crypt-DES-%{version}-filelist
%defattr(-,root,root)
%doc COPYRIGHT README

%changelog
* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.05-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (2.05-1m)
- update to 2.05

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.03-10m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.03-9m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.03-8m)
- remove Epoch from BuildPrereq

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (2.03-7m)
- revised spec for rpm 4.2.

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.03-6m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.03-5m)
- rebuild against perl-5.8.1

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (2.03-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.03-3m)
- rebuild against perl-5.8.0

* Mon Aug  5 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.03-2m)
- revice URL

* Wed Jul 31 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.03-1m)
- spec file was semi-autogenerated. 
